%global commit 116c5e2ceda485bf9d8c5330c9f908e685fe361e
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           supybot-git
Version:        0
Release:        10.%{shortcommit}%{?dist}
Summary:        Supybot plugin for interacting with git repositories

Group:          Applications/Internet
                # Relicensed: https://github.com/mmueller/supybot-git/issues/16
License:        BSD
URL:            https://github.com/leamas/supybot-git
Source0:        %{url}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
Requires:       GitPython >= 0.3.0, supybot

BuildArch:      noarch
BuildRequires:  python2-devel


%description
A supybot plugin providing info from git repositories on IRC channels. Main
features:
* Notifies IRC channel of new commits.
* Reports info on commit SHA:s mentioned in IRC conversations.
* Display a log of recent commits on command.
* Monitor as many repository/branch combinations as you like.
* Privacy: repositories are associated with a channel and cannot
  be seen from other channels.
* Highly configurable.


%prep
%setup -qn %{name}-%{commit}


%build


%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT/%{python_sitelib}/supybot/plugins/Git
install -pm 644 *.py $RPM_BUILD_ROOT/%{python_sitelib}/supybot/plugins/Git



%files
%doc README.md LICENSE
%{python_sitelib}/supybot/plugins/Git


%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-10.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-9.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-8.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-6.116c5e2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-4.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-3.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-2.116c5e2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Mar 11 2013 Alec leamas <leamas@nowhere.net> - 0-1.fd26853
  - Initial release
